<!doctype html>

<html lang="fr">
     <head>
     <title>Liste</title>
      <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
     <meta name = "format-detection" content = "telephone=no" />
     <link rel="icon" href="images/favicon.ico">
     <link rel="shortcut icon" href="images/favicon.ico" />
     <link rel="stylesheet" href="css/styles.css">
     <script src="js/jquery.js"></script>
     <script src="js/jquery-migrate-1.1.1.js"></script>
     <script src="js/script.js"></script> 
     <script src="js/superfish.js"></script>
     <script src="js/jquery.equalheights.js"></script>
     <script src="js/jquery.mobilemenu.js"></script>
     <script src="js/jquery.easing.1.3.js"></script>
     <script src="js/jquery.ui.totop.js"></script>

   <script>
       $(document).ready(function(){
        jQuery('#camera_wrap').camera({
            loader: false,
            pagination: false ,
            minHeight: '0',
            thumbnails: false,
            height: '39.82905982905983%',
            caption: true,
            navigation: true,
            fx: 'mosaic'
          }); 
          $('.gallery a.gal').touchTouch();

        $().UItoTop({ easingType: 'easeOutQuart' });
                
     }); 

     </script>

<style>
body {
   	
	background-image: url("/img/examplebg.jpg");
	background-repeat: repeat;
}


</style>


</head>

 <body class="page1" id="top">

<?php

//converti le array en strin avec no et donnée
foreach ($_POST as $nomfichierdevis => $valeur)
{
//echo $nomfichierdevis.'='.$valeur.' ';
}; 

//echo $valeur;
//print "<br>";

//echo $nomfichierdevis;
$nomfichierdevis=str_replace("_", " ",$nomfichierdevis);
$nomfichierdevis=str_replace(")", ".",$nomfichierdevis);
print "<br>";

//echo $_POST['FichierDuClient'];
//print "<br>";

$nomfichierdevis=str_replace("_", " ",$_POST['FichierDevis']);
$nomfichierdevis=str_replace(")", ".",$nomfichierdevis);
print $nomfichierdevis;
print "<br>";

//echo $_POST['FichierDuClient'];
//print "<br>";
$nomfichierclient=str_replace("_", " ",$_POST['FichierDuClient']);
$nomfichierclient=str_replace(")", ".",$nomfichierclient);

print $nomfichierclient;
print "<br>";

$nomfichierclient=str_replace(".", ")",$nomfichierclient);
$nomfichierclient=str_replace(" ", "_",$nomfichierclient);


// ouvre le fichier modele
	$FILENAMEA=$nomfichierdevis; //nom du fichier à ouvrir
	$excelA=new COM("Excel.application" );
	$excelA->Workbooks->Open($FILENAMEA);

	$bookA=$excelA->Workbooks(1);
	$sheetA=$bookA->Worksheets(1);
	
//	print $cellA;
//	print "<br>";

for ($ii=7; $ii<=32; $ii++)
  {


	$cellA=$sheetA->Range("B$ii");
	$cellb=$sheetA->Range("H$ii");
	print "<form method='post' action='textareatestpost.php'>";
	print $ii-6;
	print "<input type='checkbox' value=$ii name='choix[]'>";
	print "<input type='hidden' value=".$cellb." name='choixtype[]'>";
	print "<textarea cols=80 rows=1 name='area[]'>".$cellA."</textarea>";
	print "<br>";
	
} // end for	

	print "<input type='hidden' name='FichierDuClient' value=".$nomfichierclient.">";
	print "<input type='submit' name='submit' value='Envoyer'>
	</form>";




	unset($sheetA);
	unset($bookA);
	$excelA->Workbooks->Close();
	$excelA->Quit();
	unset($excelA);




	
?>

</body>
